import { defineStore } from "pinia";
import axios from "axios";
import { useAxios } from "@vueuse/integrations/useAxios";

const instance = axios.create({
  baseURL: "https://test.4dkankan.com/api",
});

export const useInfoStore = defineStore({
  id: "info",
  state: () => {
    return {
      exhibition: [],
      activity: [],
      news: [],
      notices: [],
    };
  },
  getters: {},
  actions: {
    getData() {
      const { data, isFinished } = useAxios(
        "/test",
        { method: "get" },
        instance
      );
    },
  },
});
